# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::Lookup Class Reference

Fast keyword lookup. More...

`#include <lookup.h>`

List of all members.

## Static Public Member Functions

static int | find (const struct HashTable *table, const Identifier &s)
static int | find (const struct HashTable *table, const UChar *c, unsigned int len)
static const HashEntry * | findEntry (const struct HashTable *table, const Identifier &s)
static const HashEntry * | findEntry (const struct HashTable *table, const UChar *c, unsigned int len)
static unsigned int | hash (const Identifier &key)
static unsigned int | hash (const UChar *c, unsigned int len)
static unsigned int | hash (const char *s)

## Detailed Description

Fast keyword lookup.

Definition at line 102 of file lookup.h.

## Member Function Documentation

int Lookup::find | ( | const struct HashTable * | table,
|  | const Identifier & | s
| ) | `[static]`

| Find an entry in the table, and return its value (i.e. the value field of HashEntry) Definition at line 87 of file lookup.cpp.

const HashEntry * Lookup::findEntry | ( | const struct HashTable * | table,
|  | const Identifier & | s
| ) | `[static]`

| Find an entry in the table, and return the entry This variant gives access to the other attributes of the entry, especially the attr field. Definition at line 72 of file lookup.cpp.

unsigned int Lookup::hash | ( | const Identifier & | key | ) | `[static]`

| Calculate the hash value for a given key. Definition at line 102 of file lookup.cpp.

The documentation for this class was generated from the following files:

- lookup.h
- lookup.cpp

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:14 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003